Table of Contents

## Name

sisu - package to install what sisu needs to to populate a postgresql database (postgresql dependency component)

## Synopsis

sisu -dv [filename/wildcard ] sisu -dv [instruction] SISU - SEARCH, RALPH AMISSAH

1. SQLITE

1.1 NAME

SiSU - Structured information, Serialized Units - a document publishing system.

1.2 DESCRIPTION

Information related to using sqlite with sisu (and related to the sisu_sqlite dependency package, which is a dummy package to install dependencies needed for SiSU to populate an sqlite database, this being part of SiSU - man sisu).

1.3 SYNOPSIS

sisu -d [instruction] [filename/wildcard if required]

sisu -d --(sqlite|pg) --[instruction] [filename/wildcard if
required]

1.4 COMMANDS

Mappings to two databases are provided by default, postgresql and sqlite, the same commands are used within sisu to construct and populate databases however -d (lowercase) denotes sqlite and -D (uppercase) denotes postgresql, alternatively --sqlite or --pgsql may be used

-d or --sqlite may be used interchangeably.

1.4.1 CREATE AND DESTROY DATABASE

--sqlite --createall
  initial step, creates required relations (tables, indexes) in existing (sqlite) database (a database should be created as requested) (rb.dbi) the same name as working directory, as

sisu -d --createdb
  creates database where no database existed before as

sisu -d --create
  creates database tables where no database tables existed before database tables where no database tables existed

sisu -d --dropall
  destroys database (including all its content)! kills data and drops tables, indexes and database associated with a given directory (and directories of the same name). a

sisu -d --recreate
  destroys

  existing database and builds a new empty database structure

1.4.2 IMPORT

AND REMOVE DOCUMENTS

sisu -d --import -v [filename/wildcard]
  populates database with the contents of the file. Imports documents(s) specified to an sqlite database (at an object level).

sisu -d --update -v [filename/wildcard]
  updates

  file contents in database

sisu -d --remove -v [filename/wildcard]
  removes specified document from sqlite database.

DOCUMENT INFORMATION (METADATA)

METADATA

Document Manifest @ <http://sisudoc.org/sisu_manual/sisu_sqlite/sisu_manifest.html >

Dublin Core (DC)

DC tags included with this document are provided here.

DC Title: SiSU - Search

DC Creator: Ralph Amissah

DC Rights: Copyright (C) Ralph Amissah 2007, part of SiSU documentation, License GPL 3

DC Type: information

DC Date created: 2002-08-28

DC Date issued: 2002-08-28

DC Date available: 2002-08-28

DC Date modified: 2007-09-16

DC Date: 2007-09-16

Version Information

Sourcefile: sisu_sqlite.sst

Filetype: SiSU text

0.58

Sourcefile Digest, MD5(sisu_sqlite.sst)= c4717fcab8a43de498d41a916bb99551

Skin_Digest: MD5(skin_sisu_manual.rb)= 20fc43cf3eb6590bc3399a1aef65c5a9

Generated

Document (metaverse) last generated: Sat Sep 29 17:05:38

+0100 2007

Generated by: SiSU 0.59.1 of 2007w39/2 (2007-09-25)

Ruby version: ruby 1.8.6 (2007-06-07 patchlevel 36) [i486-linux]

Other versions of this document:
manifest: <http://www.jus.uio.no/sisu/sisu_sqlite/sisu_manifest.html >
html: <http://www.jus.uio.no/sisu/sisu_sqlite/toc.html >
pdf: <http://www.jus.uio.no/sisu/sisu_sqlite/portrait.pdf >
pdf: <http://www.jus.uio.no/sisu/sisu_sqlite/landscape.pdf >
at: <http://www.jus.uio.no/sisu >
* Generated by: SiSU 0.59.1 of 2007w39/2 (2007-09-25)
* Ruby version: ruby 1.8.6 (2007-06-07 patchlevel 36) [i486-linux]
* Last Generated on: Sat Sep 29 17:05:39 +0100 2007
* SiSU http://www.jus.uio.no/sisu

Table of Contents

- Name
- Synopsis